Bug 1936587 - Cluster DNS service caps TTLs too low and thus evicts from its cache too aggressively
Summary: Cluster DNS service caps TTLs too low and thus evicts from its cache too aggr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Miciah Dashiel Butler Masters
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1933761
Blocks: 1936589
TreeView+ depends on / blocked
 
Reported: 2021-03-08 19:32 UTC by OpenShift BugZilla Robot
Modified: 2021-03-25 01:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-25 01:53:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-dns-operator pull 245 0 None open [release-4.7] Bug 1936587: Set CoreDNS's cache's maximum TTL to 900 seconds 2021-03-08 19:33:36 UTC
Red Hat Product Errata RHBA-2021:0821 0 None None None 2021-03-25 01:53:17 UTC

Comment 3 Hongan Li 2021-03-17 03:03:14 UTC
Verified with 4.7.0-0.nightly-2021-03-14-223051 and passed.

$ oc -n openshift-dns get cm/dns-default -oyaml
<---snip---->
        cache 900

sh-4.4# dig +noall +answer www.google.com
www.google.com.		108	IN	A	172.217.6.4

Comment 5 errata-xmlrpc 2021-03-25 01:53:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.3 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0821


Note You need to log in before you can comment on or make changes to this bug.